(function() {
	var index = 1;
	var size = null;
	var imageIndexIdNum = 0;
	var starIndex = 0;
	var SCfeedback = {
		imageList: document.getElementById('SCImg'),
		submitBtn: document.getElementById('submit')
	};
	var url = 'http://47.104.100.176/authentication/upload';
	SCfeedback.files = [];
	SCfeedback.uploader = null;
	SCfeedback.deviceInfo = null;
	mui.plusReady(function() {});
	/**
	 *提交成功之后，恢复表单项 
	 */
	SCfeedback.clearForm = function() {
		SCfeedback.imageList.innerHTML = '';
		SCfeedback.newPlaceholder();
		SCfeedback.files = [];
		index = 0;
		size = 0;
		imageIndexIdNum = 0;
		starIndex = 0;
	};
	SCfeedback.getFileInputArray = function() {
		return [].slice.call(SCfeedback.imageList.querySelectorAll('.file'));
	};
	SCfeedback.addFile = function(path) {
		SCfeedback.files.push({
			name: "images" + index,
			path: path,
			id: "img-" + index
		});
		index++;
	};
	/**
	 * 初始化图片域占位
	 */
	SCfeedback.newPlaceholder = function() {
		var fileInputArray = SCfeedback.getFileInputArray();
		if(fileInputArray &&
			fileInputArray.length > 0 &&
			fileInputArray[fileInputArray.length - 1].parentNode.classList.contains('space')) {
			return;
		};
		imageIndexIdNum++;
		var placeholder = document.createElement('div');
		placeholder.setAttribute('class', 'SCimage-item space');
		var up = document.createElement("div");
		up.setAttribute('class', 'image-up')
		//删除图片
		var closeButton = document.createElement('div');
		closeButton.setAttribute('class', 'image-close');
		closeButton.innerHTML = 'X';
		closeButton.id = "img-" + index;
		//小X的点击事件
		closeButton.addEventListener('tap', function(event) {
			setTimeout(function() {
				for(var temp = 0; temp < SCfeedback.files.length; temp++) {
					if(SCfeedback.files[temp].id == closeButton.id) {
						SCfeedback.files.splice(temp, 1);
					}
				}
				SCfeedback.imageList.removeChild(placeholder);
			}, 0);
			return false;
		}, false);
		//
		var fileInput = document.createElement('div');
		fileInput.setAttribute('class', 'file');
		fileInput.setAttribute('id', 'image-' + imageIndexIdNum);
		fileInput.addEventListener('tap', function(event) {
			var self = this;
			var index = (this.id).substr(-1);

			plus.gallery.pick(function(e) {
				//				console.log("event:"+e);
				var name = e.substr(e.lastIndexOf('/') + 1);
				console.log("name:" + name);

				plus.zip.compressImage({
					src: e,
					dst: '_doc/' + name,
					overwrite: true,
					quality: 50
				}, function(zip) {
					size += zip.size
					console.log("filesize:" + zip.size + ",totalsize:" + size);
					if(size > (10 * 1024 * 1024)) {
						return mui.toast('文件超大,请重新选择');
					}
					if(!self.parentNode.classList.contains('space')) { //已有图片
						SCfeedback.files.splice(index - 1, 1, {
							name: "images" + index,
							path: e
						});
					} else { //加号
						placeholder.classList.remove('space');
						SCfeedback.addFile(zip.target);
						SCfeedback.newPlaceholder();
					}
					up.classList.remove('image-up');
					placeholder.style.backgroundImage = 'url(' + zip.target + ')';
				}, function(zipe) {
					mui.toast('压缩失败！')
				});

			}, function(e) {
				mui.toast(e.message);
			}, {});
		}, false);
		placeholder.appendChild(closeButton);
		placeholder.appendChild(up);
		placeholder.appendChild(fileInput);
		SCfeedback.imageList.appendChild(placeholder);
	};
	SCfeedback.newPlaceholder();
	SCfeedback.submitBtn.addEventListener('tap', function(event) {
		if(plus.networkinfo.getCurrentType() == plus.networkinfo.CONNECTION_NONE) {
			return mui.toast("连接网络失败，请稍后再试");
		}
		SCfeedback.send(mui.extend({}, SCfeedback.deviceInfo, {
			images: SCfeedback.files,
			score: '' + starIndex
		}))
	}, false)
	SCfeedback.send = function(content) {
		SCfeedback.uploader = plus.uploader.createUpload(url, {
			method: 'POST'
		}, function(upload, status) {
			console.log("status:" + status);
			console.log("upload cb:" + upload.responseText);
			if(status == 200) {
				var handimg = imgurl + JSON.parse(upload.responseText).data.url;
				console.log(handimg);
			} else {
				console.log("upload fail");
			}

		});
		//添加上传数据
		mui.each(content, function(index, element) {
			if(index !== 'images') {
				console.log("addData:" + index + "," + element);
				//				console.log(index);
				SCfeedback.uploader.addData(index, element)
			}
		});
		//添加上传文件
		mui.each(SCfeedback.files, function(index, element) {
			var f = SCfeedback.files[index];
			console.log("addFile:" + JSON.stringify(f));
			SCfeedback.uploader.addFile(f.path, {
				key: f.name
			});
		});
		//开始上传任务
		SCfeedback.uploader.start();
//		mui.alert("感谢反馈，点击确定关闭", "问题反馈", "确定", function() {
//			SCfeedback.clearForm();
//			mui.back();
//		});
	};
})();