(function($, owner) {
	/*
	 * 接口
	 */
	//	var api = 'http://www.yijiayicai.com/api';
	//	var img_api = 'http://www.yijiayicai.com/';
	var api = "http://47.104.100.176";
	/**
	 * 获取当前链接
	 **/
	owner.getUrl = function() {
		return api;
	};
	/**
	 * 获取当前链接
	 **/
	//	owner.getImgUrl = function() {
	//		return img_api;
	//	};
	/**
	 * 获取当前状态
	 **/
	owner.getState = function() {
		var stateText = plus.storage.getItem('$state') || "{}";
		return JSON.parse(stateText);
	};

	/**
	 * 设置当前状态
	 **/
	owner.setState = function(state) {
		state = state || {};
		plus.storage.setItem('$state', JSON.stringify(state));
		//var settings = owner.getSettings();
		//settings.gestures = '';
		//owner.setSettings(settings);
	};

	owner.createState = function(objs, callback) {
		var state = owner.getState();
		state.name = objs.name;
		state.phone = objs.phone;
		state.id = objs.id;
		state.sid = objs.sid;
		state.headimg = objs.headimg;
		state.is_spc = objs.is_spc;
		state.addressid = objs.addressid;
		state.balance = objs.balance;
		state.registered_address = objs.registered_address;
		owner.setState(state);
		return callback();
	}
	/*
	 * 退出
	 */
	owner.callout = function() {
		var backButtonPress = 0;
		$.back = function(event) {
			backButtonPress++;
			if(backButtonPress > 1) {
				plus.runtime.quit();
			} else {
				plus.nativeUI.toast('再按一次退出应用');
			}
			setTimeout(function() {
				backButtonPress = 0;
			}, 1000);
			return false;
		};
	}

	/*
	 * 登录
	 */
	owner.login = function(loginInfo, callback) {
		callback = callback || $.noop;
		loginInfo = loginInfo;
		loginInfo.phones = loginInfo.phones || '';
		loginInfo.passwords = loginInfo.passwords || '';
		$.ajax(api + '/User/Login?username=' + loginInfo.phones + '&password=' + loginInfo.passwords, {
			dataType: 'json', //服务器返回json格式数据
			type: 'POST', //HTTP请求类型
			timeout: 10000, //超时时间设置为10秒；
			success: function(res) {
				if(res.code == 200) {
					var user = res.data;
					return owner.createState(user, callback);
				} else {
					return callback(res.message);
				}
			},
			error: function(xhr, type, errorThrown) {
				//异常处理；
				return callback(JSON.stringify(xhr));
			}
		})
	}

	/*
	 * 注册
	 */
	owner.reg = function(regInfo, callback) {
		callback = callback || $.noop;
		//		regInfo = regInfo;
		//		regInfo.userName = regInfo.userName;
		//		regInfo.userTel = regInfo.userTel;
		//		regInfo.inviteCode = regInfo.inviteCode;
		//		regInfo.passWords = regInfo.passWords;
		var code = plus.storage.getItem("code");
		if(regInfo.userName.length <= 0) {
			return callback('名字不能为空 ');
		}
		if(regInfo.userTel.length <= 0) {
			return callback('手机号不能为空 ');
		}
		if(regInfo.passWords.length <= 0) {
			return callback('密码不能为空 ');
		}
		if(regInfo.inviteCode.length <= 0) {
			return callback('请填写验证码 ');
		}
		if(regInfo.inviteCode != code) {
			return callback('验证码不一致 ');
		}
		$.ajax(api + '/Account/Register', {
			data: {
				UserName: regInfo.userName,
				UserTel: regInfo.userTel,
				UserPwd: regInfo.passWords
			},
			dataType: 'json', //服务器返回json格式数据
			type: 'post', //HTTP请求类型
			timeout: 10000, //超时时间设置为10秒；
			//contentType: 'application/json;charset=utf-8',
			success: function(res) {
				if(res.code == 200) {
					//console.log(JSON.stringify(res))
					var users = JSON.parse(plus.storage.getItem('$users') || '[]');
					plus.storage.setItem('$users', JSON.stringify(users));
					return callback();
					//return owner.createState(user, callback);
				} else {
					return callback(res.message);
				}
			},
			error: function(xhr, type, errorThrown) {
				//异常处理；
				return callback(JSON.stringify(xhr));
			}
		})
	}
	/*获取验证码*/
	owner.code = function(count, callback) {
		var t = '';
		for(var i = 0; i < count; i++) {
			t += Math.floor(Math.random() * 10);
		}
		return t;
	}

}(mui, window.app = {}));