(function() {
	var index = 1;
	var size = null;
	var imageIndexIdNum = 0;
	var starIndex = 0;
	var ZMfeedback = {
		imageList: document.getElementById('ZMImg'),
		submitBtn: document.getElementById('submit')
	};
	var url = 'http://47.104.100.176/authentication/upload';
	var imgurl = 'http://47.104.100.176/';
	ZMfeedback.files = [];
	ZMfeedback.uploader = null;
	ZMfeedback.deviceInfo = null;
	mui.plusReady(function() {});
	/**
	 *提交成功之后，恢复表单项 
	 */
	ZMfeedback.clearForm = function() {
		ZMfeedback.imageList.innerHTML = '';
		ZMfeedback.newPlaceholder();
		ZMfeedback.files = [];
		index = 0;
		size = 0;
		imageIndexIdNum = 0;
		starIndex = 0;
	};
	ZMfeedback.getFileInputArray = function() {
		return [].slice.call(ZMfeedback.imageList.querySelectorAll('.file'));
	};
	ZMfeedback.addFile = function(path) {
		ZMfeedback.files.push({
			name: "images" + index,
			path: path,
			id: "img-" + index
		});
		index++;
	};
	/**
	 * 初始化图片域占位
	 */
	ZMfeedback.newPlaceholder = function() {
		var fileInputArray = ZMfeedback.getFileInputArray();
		if(fileInputArray &&
			fileInputArray.length > 0 &&
			fileInputArray[fileInputArray.length - 1].parentNode.classList.contains('space')) {
			return;
		};
		imageIndexIdNum++;
		var placeholder = document.createElement('div');
		placeholder.setAttribute('class', 'image-item space');
		var up = document.createElement("div");
		up.setAttribute('class', 'image-up')
		//删除图片
		var closeButton = document.createElement('div');
		closeButton.setAttribute('class', 'image-close');
		closeButton.innerHTML = 'X';
		closeButton.id = "img-" + index;
		//小X的点击事件
		closeButton.addEventListener('tap', function(event) {
			setTimeout(function() {
				for(var temp = 0; temp < ZMfeedback.files.length; temp++) {
					if(ZMfeedback.files[temp].id == closeButton.id) {
						ZMfeedback.files.splice(temp, 1);
					}
				}
				ZMfeedback.imageList.removeChild(placeholder);
			}, 0);
			return false;
		}, false);
		//
		var fileInput = document.createElement('div');
		fileInput.setAttribute('class', 'file');
		fileInput.setAttribute('id', 'image-' + imageIndexIdNum);
		fileInput.addEventListener('tap', function(event) {
			var self = this;
			var index = (this.id).substr(-1);

			plus.gallery.pick(function(e) {
				//				console.log("event:"+e);
				var name = e.substr(e.lastIndexOf('/') + 1);
				console.log("name:" + name);

				plus.zip.compressImage({
					src: e,
					dst: '_doc/' + name,
					overwrite: true,
					quality: 50
				}, function(zip) {
					size += zip.size
					console.log("filesize:" + zip.size + ",totalsize:" + size);
					if(size > (10 * 1024 * 1024)) {
						return mui.toast('文件超大,请重新选择');
					}
					if(!self.parentNode.classList.contains('space')) { //已有图片
						ZMfeedback.files.splice(index - 1, 1, {
							name: "images" + index,
							path: e
						});
					} else { //加号
						placeholder.classList.remove('space');
						ZMfeedback.addFile(zip.target);
						ZMfeedback.newPlaceholder();
					}
					up.classList.remove('image-up');
					placeholder.style.backgroundImage = 'url(' + zip.target + ')';
				}, function(zipe) {
					mui.toast('压缩失败！')
				});

			}, function(e) {
				mui.toast("已取消");
			}, {});
		}, false);
		placeholder.appendChild(closeButton);
		placeholder.appendChild(up);
		placeholder.appendChild(fileInput);
		ZMfeedback.imageList.appendChild(placeholder);
	};
	ZMfeedback.newPlaceholder();
	ZMfeedback.submitBtn.addEventListener('tap', function(event) {
		if(plus.networkinfo.getCurrentType() == plus.networkinfo.CONNECTION_NONE) {
			return mui.toast("连接网络失败，请稍后再试");
		}
		ZMfeedback.send(mui.extend({}, ZMfeedback.deviceInfo, {
			images: ZMfeedback.files,
			score: '' + starIndex
		}))
	}, false)
//	ZMfeedback.send = function(content) {
//		ZMfeedback.uploader = plus.uploader.createUpload(url, {
//			method: 'POST'
//		}, function(upload, status) {
//			console.log("status:" + status);
//			console.log("upload cb:" + upload.responseText);
//			if(status == 200) {
//				var frontimg = imgurl + JSON.parse(upload.responseText).data.url;
//				console.log(frontimg);
//			} else {
//				console.log("upload fail");
//			}
//		});
//		//添加上传数据
//		mui.each(content, function(index, element) {
//			if(index !== 'images') {
//				//				console.log("addData:" + index + "," + element);
//				ZMfeedback.uploader.addData(index, element)
//			}
//		});
//		//添加上传文件
//		mui.each(ZMfeedback.files, function(index, element) {
//			var f = ZMfeedback.files[index];
//			//			console.log("addFile:" + JSON.stringify(f));
//			ZMfeedback.uploader.addFile(f.path, {
//				key: f.name
//			});
//		});
//		//开始上传任务
//		ZMfeedback.uploader.start();
//	};
})();