var Inote = {
	JSTool: function(a) {
		this.options = a || {}
	}
};
Inote.JSTool.prototype = {
	init: function(a) {
		console.log(a)
	},
	//设置链接地址
	setUrl: function() {
		return "http://47.104.100.176"
	},
	//获取链接
	getUrl: function() {
		return this.deCode(window.location.href)
	},
	//获取url参数
	//getUrlPrmt('segmentfault.com/write?draftId=122000011938')
	//Object{draftId: "122000011938"}
	getUrlPrmt: function(url) {
		url = url ? url : window.location.href;
		var _pa = url.substring(url.indexOf('?') + 1),
			_arrS = _pa.split('&'),
			_rs = {};
		for(var i = 0, _len = _arrS.length; i < _len; i++) {
			var pos = _arrS[i].indexOf('=');
			if(pos == -1) {
				continue;
			}
			var name = _arrS[i].substring(0, pos),
				value = window.decodeURIComponent(_arrS[i].substring(pos + 1));
			_rs[name] = value;
		}
		return _rs;
	},

	/*
	 *设置url参数
	 *setUrlPrmt({'a':1,'b':2})
	 *a=1&b=2
	 * */
	setUrlPrmt: function(obj) {
		var _rs = [];
		for(var p in obj) {
			if(obj[p] != null && obj[p] != '') {
				_rs.push(p + '=' + obj[p])
			}
		}
		return _rs.join('&');
	},
	/*
	 * openUrl("a.html")
	 * 打开链接.
	 * */
	openUrl: function(a) {
		window.location.href = a
	},
	getIdCode: function(a) {
		void 0 == a && (a = 4);
		var c = Math.pow(10, a);
		return Math.floor(Math.random() * c + c / 10).toString().substr(0, a)
	},
	get: function(a) {
		this.ajax({
			url: a.url,
			data: a.data,
			dataType: "json",
			succFn: a.succFn,
			errFn: a.errFn,
			type: "get"
		})
	},
	post: function(a) {
		this.ajax({
			url: a.url,
			data: a.data,
			dataType: "json",
			succFn: a.succFn,
			errFn: a.errFn,
			type: "post"
		})
	},
	ajax: function(a) {
		function c(a) {
			var b = [],
				c;
			for(c in a) b.push(c + "=" + a[c]);
			return b.join("&")
		}
		var d = null;
		a = a || {};
		if(a.url) {
			a.type = a.type || "get";
			a.time = a.time || 10;
			a.data = a.data || {};
			var b = window.XMLHttpRequest ? new XMLHttpRequest : new ActiveXObject("Microsoft.XMLHTTP");
			switch(a.type.toLowerCase()) {
				case "get":
					b.open("GET", a.url + "?" + c(a.data), !0);
					console.log(a.url + "?" + c(a.data));
					b.send();
					break;
				case "post":
					b.open("POST", a.url, !0), b.setRequestHeader("Content-Type", "application/x-www-form-urlencoded"), b.send(c(a.data))
			}
			b.onreadystatechange = function() {
				4 == b.readyState && (200 <= b.status && 300 > b.status || 304 == b.status ? (clearTimeout(d), a.succFn && a.succFn(b.responseText)) : (clearTimeout(d), a.errFn && a.errFn(b.status)))
			};
			d = setTimeout(function() {
				foundrapp.prompt("网络超时");
				b.onreadystatechange = null
			}, 1E3 * a.time)
		} else foundrapp.prompt("请求url不存在")
	},
	/*
	 * 设置标题
	 * */
	setTitle: function(a) {
		document.title = a
	},
	enCode: function(a) {
		return encodeURI(a)
	},
	deCode: function(a) {
		return decodeURI(a)
	},
	/*
	 * 
	 * 2-8随机码
	 */
	randomNumber: function(a) {
		return Math.random().toString(a).substring(2);
	},
	/*
	 * 
	 * 设置cookie
	 */
	setCookie: function(name, value, iDay) {
		var oDate = new Date();
		oDate.setDate(oDate.getDate() + iDay);
		document.cookie = name + '=' + value + ';expires=' + oDate;
	},
	/*
	 * 
	 * 获取cookie
	 */
	getCookie: function(name) {
		var arr = document.cookie.split('; ');
		for(var i = 0; i < arr.length; i++) {
			var arr2 = arr[i].split('=');
			if(arr2[0] == name) {
				return arr2[1];
			}
		}
		return '';
	},
	/*
	 * 
	 * 删除cookie
	 */
	removeCookie: function(name) {
		setCookie(name, 1, -1);
	},
	/*
	 * 
	 * 检查字符串
	 */
	checkType: function(str, type) {
		switch(type) {
			case 'email':
				return /^[\w-]+(\.[\w-]+)*@[\w-]+(\.[\w-]+)+$/.test(str);
			case 'phone':
				return /^1[3|4|5|7|8][0-9]{9}$/.test(str);
			case 'tel':
				return /^(0\d{2,3}-\d{7,8})(-\d{1,4})?$/.test(str);
			case 'number':
				return /^[0-9]$/.test(str);
			case 'english':
				return /^[a-zA-Z]+$/.test(str);
			case 'chinese':
				return /^[\u4E00-\u9FA5]+$/.test(str);
			case 'lower':
				return /^[a-z]+$/.test(str);
			case 'upper':
				return /^[A-Z]+$/.test(str);
			default:
				return true;
		}
	}
};
var Wapp = new Inote.JSTool;